Canalplan Bug Tracker



Anonymous Login
2017-11-20 21:38 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000204Canalplan [All Projects] Databasepublic2017-02-28 06:30
ReporterNick Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product Version9.28Product Build 
Target VersionFixed in Version9.29 
Summary0000204: Improve how bridges are stored in the database
DescriptionBridges are something of a mess. There are tables like "bridge_operation" that are empty. There are four different "bridge" columns in "place_extra".

Rationalise the tables - delete any that aren't used.
Re-organise place_extra to use a single bridge_JSON column
Add the ability to pass under large bridges (with a height option?) when doing this.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000958

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2016-10-09 09:27 Nick Atty New Issue
2016-10-09 09:28 Nick Atty Assigned To => Nick Atty
2016-10-09 09:28 Nick Atty Status new => assigned
2017-01-28 08:39 Nick Atty Status assigned => resolved
2017-01-28 08:39 Nick Atty Resolution open => fixed
2017-01-28 08:39 Nick Atty Fixed in Version => 9.29
2017-02-28 06:30 Autoclose Note Added: 0000958
2017-02-28 06:30 Autoclose Status resolved => closed
+Issue History